import { __name } from "./chunk-AGHRB4JF.js";
import select_default from "../../../../d3-selection/src/select.js";
import "../../../../d3/src/index.js";
var getDiagramElement = /* @__PURE__ */ __name((e, n) => {
	let r;
	return n === "sandbox" && (r = select_default("#i" + e)), select_default(n === "sandbox" ? r.nodes()[0].contentDocument.body : "body").select(`[id="${e}"]`);
}, "getDiagramElement");
export { getDiagramElement };
